/*
 * Dungeon Crawl of Doom
 * Copyright (C) 2012  Niels G. W. Serup

 * This file is part of Dungeon Crawl of Doom.

 * Dungeon Crawl of Doom is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.

 * Dungeon Crawl of Doom is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Enigma.  If not, see <http://www.gnu.org/licenses/>.
 */


package dungeoncrawl.gui.component;
import dungeoncrawl.gui.*;
import dungeoncrawl.model.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Door to draw.
 * @author Niels G. W. Serup
 * @version 1.0
 */
public class DoorComponent extends DungeonComponent
{
    private Door door;
    
    public DoorComponent(Door door, DungeonPanel dungeonPanel)
    {
        super(dungeonPanel);
        this.door = door;
    }

    // Draws the door
    @Override
    public void paintComponent(Graphics g)
    {
        int diameter = this.dungeon.getScaleFactor();
        int x = (this.door.getPosition().getX()
                 * this.dungeon.getScaleFactor());
        int y = (this.door.getPosition().getY()
                       * this.dungeon.getScaleFactor());
        g.setColor(Color.GREEN);
        g.drawRect(x, y, diameter, diameter);
    }
}
