/*
 * Dungeon Crawl of Doom
 * Copyright (C) 2012  Niels G. W. Serup

 * This file is part of Dungeon Crawl of Doom.

 * Dungeon Crawl of Doom is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.

 * Dungeon Crawl of Doom is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Enigma.  If not, see <http://www.gnu.org/licenses/>.
 */


package dungeoncrawl.gui.component;
import dungeoncrawl.gui.*;
import dungeoncrawl.model.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Thing to draw. Meant as a very simple replacement for JComponent.
 * @author Niels G. W. Serup
 * @version 1.0
 */
public abstract class DungeonComponent
{
    protected DungeonPanel dungeonPanel;
    protected Dungeon dungeon;
    
    public DungeonComponent(DungeonPanel dungeonPanel)
    {
        this.dungeonPanel = dungeonPanel;
        this.dungeon = dungeonPanel.getDungeon();
    }

    public abstract void paintComponent(Graphics g);
}
