/*
 * Dungeon Crawl of Doom
 * Copyright (C) 2012  Niels G. W. Serup

 * This file is part of Dungeon Crawl of Doom.

 * Dungeon Crawl of Doom is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.

 * Dungeon Crawl of Doom is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Enigma.  If not, see <http://www.gnu.org/licenses/>.
 */


package dungeoncrawl.gui.component;
import dungeoncrawl.gui.*;
import dungeoncrawl.model.*;
import dungeoncrawl.model.player.Player;
import dungeoncrawl.model.player.hero.Hero;
import dungeoncrawl.model.player.monster.Monster;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Player to draw.
 * @author Niels G. W. Serup
 * @version 1.0
 */
public class PlayerComponent extends DungeonComponent
{
    private Player player;
    private Color color;
    
    public PlayerComponent(Player player, DungeonPanel dungeonPanel)
    {
        super(dungeonPanel);
        this.player = player;
        this.createData();
    }

    public void createData()
    {
        this.color = (player instanceof Hero) ? Color.RED : Color.CYAN;
    }

    // Draws the player
    @Override
    public void paintComponent(Graphics g)
    {
        int diameter = this.dungeon.getScaleFactor();
        int x = (this.player.getPosition().getX()
                 * this.dungeon.getScaleFactor());
        int y = (this.player.getPosition().getY()
                 * this.dungeon.getScaleFactor());
        g.setColor(this.color);
        g.drawArc(x, y, diameter, diameter, 0, 360);
    }
}
