/*
 * Dungeon Crawl of Doom
 * Copyright (C) 2012  Niels G. W. Serup

 * This file is part of Dungeon Crawl of Doom.

 * Dungeon Crawl of Doom is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.

 * Dungeon Crawl of Doom is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Enigma.  If not, see <http://www.gnu.org/licenses/>.
 */


package dungeoncrawl.gui.component;
import dungeoncrawl.gui.*;
import dungeoncrawl.model.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Room to draw.
 * @author Niels G. W. Serup
 * @version 1.0
 */
public class RoomComponent extends DungeonComponent
{
    private Room room;
    private int x;
    private int y;
    private int width;
    private int height;
    
    public RoomComponent(Room room, DungeonPanel dungeonPanel)
    {
        super(dungeonPanel);
        this.room = room;
        this.createData();
    }

    public void createData()
    {
        int ulX = room.getBoundary().getUpperLeft().getX()
            * this.dungeon.getScaleFactor();
        int ulY = room.getBoundary().getUpperLeft().getY()
            * this.dungeon.getScaleFactor();
        int lrX = room.getBoundary().getLowerRight().getX()
            * this.dungeon.getScaleFactor();
        int lrY = room.getBoundary().getLowerRight().getY()
            * this.dungeon.getScaleFactor();
        this.x = ulX;
        this.y = ulY;
        this.width = lrX - ulX;
        this.height = lrY - ulY;
    }

    // Draws a border around the room
    @Override
    public void paintComponent(Graphics g)
    {
        g.setColor(new Color(0, 50, 0));
        g.fillRect(this.x, this.y, this.width, this.height);
        g.setColor(Color.WHITE);
        g.drawRect(this.x, this.y, this.width, this.height);
    }
}
