/*
 * Dungeon Crawl of Doom
 * Copyright (C) 2012  Niels G. W. Serup

 * This file is part of Dungeon Crawl of Doom.

 * Dungeon Crawl of Doom is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.

 * Dungeon Crawl of Doom is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Enigma.  If not, see <http://www.gnu.org/licenses/>.
 */


package dungeoncrawl.model.item;
import dungeoncrawl.general.*;
import dungeoncrawl.model.*;
import dungeoncrawl.model.player.hero.Hero;

/**
 * A weapon.
 * @author Niels G. W. Serup
 * @version 1.0
 */
public class Weapon extends Item
{
    private int damage;

    /**
     * Creates a weapon with {@code damage} damage and with a position.
     */
    public Weapon(Dungeon dungeon, int damage, Point position)
    {
        super(dungeon, position);
        this.damage = damage;
    }

    /**
     * Creates a weapon with {@code damage} damage and with no position.
     */
    public Weapon(Dungeon dungeon, int damage)
    {
        this(dungeon, damage, null);
    }

    public int getDamage()
    {
        return this.damage;
    }

    public void getUsedByHero(Hero hero)
    {
        hero.pickUpWeapon(this);
    }

    @Override
    public String toString()
    {
        return "W" + this.damage;
    }
}
