/*
 * Dungeon Crawl of Doom
 * Copyright (C) 2012  Niels G. W. Serup

 * This file is part of Dungeon Crawl of Doom.

 * Dungeon Crawl of Doom is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.

 * Dungeon Crawl of Doom is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Enigma.  If not, see <http://www.gnu.org/licenses/>.
 */


package dungeoncrawl.model.player.hero;

import dungeoncrawl.model.player.Player;
import dungeoncrawl.model.*;

/**
 * A mage.
 * @author Niels G. W. Serup
 * @version 1.0
 */
public class Mage extends Hero
{
    public static final int REGENERATION_LEVEL = 10;
    public static final int DAMAGE_MAGNITUDE = 2;
    
    /**
     * Creates a mage associated with {@code dungeon} and with no weapon but
     * his/her bare fists.
     */
    public Mage(Dungeon dungeon, String name)
    {
        super(dungeon, name);
        this.setRegenerationLevel(Mage.REGENERATION_LEVEL);
        this.setDamageMagnitude(Mage.DAMAGE_MAGNITUDE);
    }
}
